package tech.mercantec.easyeat.helpers

import android.content.Context
import kotlinx.serialization.Serializable

@Serializable
data class ShoppingListItem(val id: Int, val name: String, val amount: Double?, val unit: String?, val checked: Boolean)

fun getShoppingList(ctx: Context): Array<ShoppingListItem> {
    return requestJson<Unit, Array<ShoppingListItem>>(ctx, "GET", "/api/ShoppingList/get", null)
}

@Serializable
data class AddShoppingItemRequest(val name: String, val amount: Double?, val unit: String?, val checked: Boolean)

fun addShoppingItem(ctx: Context, name: String, amount: Double?, unit: String?) {
    val request = AddShoppingItemRequest(name, amount, unit, false)

    requestJson<AddShoppingItemRequest, Boolean>(ctx, "POST", "/api/ShoppingList/add", request)
}
